import { CodePipelineClient } from "./CodePipelineClient";
import { AcknowledgeJobInput } from "./types/AcknowledgeJobInput";
import { AcknowledgeJobOutput } from "./types/AcknowledgeJobOutput";
import { AcknowledgeThirdPartyJobInput } from "./types/AcknowledgeThirdPartyJobInput";
import { AcknowledgeThirdPartyJobOutput } from "./types/AcknowledgeThirdPartyJobOutput";
import { CreateCustomActionTypeInput } from "./types/CreateCustomActionTypeInput";
import { CreateCustomActionTypeOutput } from "./types/CreateCustomActionTypeOutput";
import { CreatePipelineInput } from "./types/CreatePipelineInput";
import { CreatePipelineOutput } from "./types/CreatePipelineOutput";
import { DeleteCustomActionTypeInput } from "./types/DeleteCustomActionTypeInput";
import { DeleteCustomActionTypeOutput } from "./types/DeleteCustomActionTypeOutput";
import { DeletePipelineInput } from "./types/DeletePipelineInput";
import { DeletePipelineOutput } from "./types/DeletePipelineOutput";
import { DeleteWebhookInput } from "./types/DeleteWebhookInput";
import { DeleteWebhookOutput } from "./types/DeleteWebhookOutput";
import { DeregisterWebhookWithThirdPartyInput } from "./types/DeregisterWebhookWithThirdPartyInput";
import { DeregisterWebhookWithThirdPartyOutput } from "./types/DeregisterWebhookWithThirdPartyOutput";
import { DisableStageTransitionInput } from "./types/DisableStageTransitionInput";
import { DisableStageTransitionOutput } from "./types/DisableStageTransitionOutput";
import { EnableStageTransitionInput } from "./types/EnableStageTransitionInput";
import { EnableStageTransitionOutput } from "./types/EnableStageTransitionOutput";
import { GetJobDetailsInput } from "./types/GetJobDetailsInput";
import { GetJobDetailsOutput } from "./types/GetJobDetailsOutput";
import { GetPipelineExecutionInput } from "./types/GetPipelineExecutionInput";
import { GetPipelineExecutionOutput } from "./types/GetPipelineExecutionOutput";
import { GetPipelineInput } from "./types/GetPipelineInput";
import { GetPipelineOutput } from "./types/GetPipelineOutput";
import { GetPipelineStateInput } from "./types/GetPipelineStateInput";
import { GetPipelineStateOutput } from "./types/GetPipelineStateOutput";
import { GetThirdPartyJobDetailsInput } from "./types/GetThirdPartyJobDetailsInput";
import { GetThirdPartyJobDetailsOutput } from "./types/GetThirdPartyJobDetailsOutput";
import { ListActionExecutionsInput } from "./types/ListActionExecutionsInput";
import { ListActionExecutionsOutput } from "./types/ListActionExecutionsOutput";
import { ListActionTypesInput } from "./types/ListActionTypesInput";
import { ListActionTypesOutput } from "./types/ListActionTypesOutput";
import { ListPipelineExecutionsInput } from "./types/ListPipelineExecutionsInput";
import { ListPipelineExecutionsOutput } from "./types/ListPipelineExecutionsOutput";
import { ListPipelinesInput } from "./types/ListPipelinesInput";
import { ListPipelinesOutput } from "./types/ListPipelinesOutput";
import { ListTagsForResourceInput } from "./types/ListTagsForResourceInput";
import { ListTagsForResourceOutput } from "./types/ListTagsForResourceOutput";
import { ListWebhooksInput } from "./types/ListWebhooksInput";
import { ListWebhooksOutput } from "./types/ListWebhooksOutput";
import { PollForJobsInput } from "./types/PollForJobsInput";
import { PollForJobsOutput } from "./types/PollForJobsOutput";
import { PollForThirdPartyJobsInput } from "./types/PollForThirdPartyJobsInput";
import { PollForThirdPartyJobsOutput } from "./types/PollForThirdPartyJobsOutput";
import { PutActionRevisionInput } from "./types/PutActionRevisionInput";
import { PutActionRevisionOutput } from "./types/PutActionRevisionOutput";
import { PutApprovalResultInput } from "./types/PutApprovalResultInput";
import { PutApprovalResultOutput } from "./types/PutApprovalResultOutput";
import { PutJobFailureResultInput } from "./types/PutJobFailureResultInput";
import { PutJobFailureResultOutput } from "./types/PutJobFailureResultOutput";
import { PutJobSuccessResultInput } from "./types/PutJobSuccessResultInput";
import { PutJobSuccessResultOutput } from "./types/PutJobSuccessResultOutput";
import { PutThirdPartyJobFailureResultInput } from "./types/PutThirdPartyJobFailureResultInput";
import { PutThirdPartyJobFailureResultOutput } from "./types/PutThirdPartyJobFailureResultOutput";
import { PutThirdPartyJobSuccessResultInput } from "./types/PutThirdPartyJobSuccessResultInput";
import { PutThirdPartyJobSuccessResultOutput } from "./types/PutThirdPartyJobSuccessResultOutput";
import { PutWebhookInput } from "./types/PutWebhookInput";
import { PutWebhookOutput } from "./types/PutWebhookOutput";
import { RegisterWebhookWithThirdPartyInput } from "./types/RegisterWebhookWithThirdPartyInput";
import { RegisterWebhookWithThirdPartyOutput } from "./types/RegisterWebhookWithThirdPartyOutput";
import { RetryStageExecutionInput } from "./types/RetryStageExecutionInput";
import { RetryStageExecutionOutput } from "./types/RetryStageExecutionOutput";
import { StartPipelineExecutionInput } from "./types/StartPipelineExecutionInput";
import { StartPipelineExecutionOutput } from "./types/StartPipelineExecutionOutput";
import { TagResourceInput } from "./types/TagResourceInput";
import { TagResourceOutput } from "./types/TagResourceOutput";
import { UntagResourceInput } from "./types/UntagResourceInput";
import { UntagResourceOutput } from "./types/UntagResourceOutput";
import { UpdatePipelineInput } from "./types/UpdatePipelineInput";
import { UpdatePipelineOutput } from "./types/UpdatePipelineOutput";
export declare class CodePipeline extends CodePipelineClient {
    /**
     * <p>Returns information about a specified job and whether that job has been received by the job worker. Only used for custom actions.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {ValidationException} <p>The validation was specified in an invalid format.</p>
     *   - {InvalidNonceException} <p>The specified nonce was specified in an invalid format.</p>
     *   - {JobNotFoundException} <p>The specified job was specified in an invalid format or cannot be found.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    acknowledgeJob(args: AcknowledgeJobInput): Promise<AcknowledgeJobOutput>;
    acknowledgeJob(args: AcknowledgeJobInput, cb: (err: any, data?: AcknowledgeJobOutput) => void): void;
    /**
     * <p>Confirms a job worker has received the specified job. Only used for partner actions.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {ValidationException} <p>The validation was specified in an invalid format.</p>
     *   - {InvalidNonceException} <p>The specified nonce was specified in an invalid format.</p>
     *   - {JobNotFoundException} <p>The specified job was specified in an invalid format or cannot be found.</p>
     *   - {InvalidClientTokenException} <p>The client token was specified in an invalid format</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    acknowledgeThirdPartyJob(args: AcknowledgeThirdPartyJobInput): Promise<AcknowledgeThirdPartyJobOutput>;
    acknowledgeThirdPartyJob(args: AcknowledgeThirdPartyJobInput, cb: (err: any, data?: AcknowledgeThirdPartyJobOutput) => void): void;
    /**
     * <p>Creates a new custom action that can be used in all pipelines associated with the AWS account. Only used for custom actions.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {ValidationException} <p>The validation was specified in an invalid format.</p>
     *   - {LimitExceededException} <p>The number of pipelines associated with the AWS account has exceeded the limit allowed for the account.</p>
     *   - {TooManyTagsException} <p>The tags limit for a resource has been exceeded.</p>
     *   - {InvalidTagsException} <p>The specified resource tags are invalid.</p>
     *   - {ConcurrentModificationException} <p>Unable to modify the tag due to a simultaneous update request.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    createCustomActionType(args: CreateCustomActionTypeInput): Promise<CreateCustomActionTypeOutput>;
    createCustomActionType(args: CreateCustomActionTypeInput, cb: (err: any, data?: CreateCustomActionTypeOutput) => void): void;
    /**
     * <p>Creates a pipeline.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {ValidationException} <p>The validation was specified in an invalid format.</p>
     *   - {PipelineNameInUseException} <p>The specified pipeline name is already in use.</p>
     *   - {InvalidStageDeclarationException} <p>The specified stage declaration was specified in an invalid format.</p>
     *   - {InvalidActionDeclarationException} <p>The specified action declaration was specified in an invalid format.</p>
     *   - {InvalidBlockerDeclarationException} <p>Reserved for future use.</p>
     *   - {InvalidStructureException} <p>The specified structure was specified in an invalid format.</p>
     *   - {LimitExceededException} <p>The number of pipelines associated with the AWS account has exceeded the limit allowed for the account.</p>
     *   - {TooManyTagsException} <p>The tags limit for a resource has been exceeded.</p>
     *   - {InvalidTagsException} <p>The specified resource tags are invalid.</p>
     *   - {ConcurrentModificationException} <p>Unable to modify the tag due to a simultaneous update request.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    createPipeline(args: CreatePipelineInput): Promise<CreatePipelineOutput>;
    createPipeline(args: CreatePipelineInput, cb: (err: any, data?: CreatePipelineOutput) => void): void;
    /**
     * <p>Marks a custom action as deleted. <code>PollForJobs</code> for the custom action will fail after the action is marked for deletion. Only used for custom actions.</p> <important> <p>To re-create a custom action after it has been deleted you must use a string in the version field that has never been used before. This string can be an incremented version number, for example. To restore a deleted custom action, use a JSON file that is identical to the deleted action, including the original string in the version field.</p> </important>
     *
     * This operation may fail with one of the following errors:
     *   - {ValidationException} <p>The validation was specified in an invalid format.</p>
     *   - {ConcurrentModificationException} <p>Unable to modify the tag due to a simultaneous update request.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    deleteCustomActionType(args: DeleteCustomActionTypeInput): Promise<DeleteCustomActionTypeOutput>;
    deleteCustomActionType(args: DeleteCustomActionTypeInput, cb: (err: any, data?: DeleteCustomActionTypeOutput) => void): void;
    /**
     * <p>Deletes the specified pipeline.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {ValidationException} <p>The validation was specified in an invalid format.</p>
     *   - {ConcurrentModificationException} <p>Unable to modify the tag due to a simultaneous update request.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    deletePipeline(args: DeletePipelineInput): Promise<DeletePipelineOutput>;
    deletePipeline(args: DeletePipelineInput, cb: (err: any, data?: DeletePipelineOutput) => void): void;
    /**
     * <p>Deletes a previously created webhook by name. Deleting the webhook stops AWS CodePipeline from starting a pipeline every time an external event occurs. The API will return successfully when trying to delete a webhook that is already deleted. If a deleted webhook is re-created by calling PutWebhook with the same name, it will have a different URL.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {ValidationException} <p>The validation was specified in an invalid format.</p>
     *   - {ConcurrentModificationException} <p>Unable to modify the tag due to a simultaneous update request.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    deleteWebhook(args: DeleteWebhookInput): Promise<DeleteWebhookOutput>;
    deleteWebhook(args: DeleteWebhookInput, cb: (err: any, data?: DeleteWebhookOutput) => void): void;
    /**
     * <p>Removes the connection between the webhook that was created by CodePipeline and the external tool with events to be detected. Currently only supported for webhooks that target an action type of GitHub.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {ValidationException} <p>The validation was specified in an invalid format.</p>
     *   - {WebhookNotFoundException} <p>The specified webhook was entered in an invalid format or cannot be found.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    deregisterWebhookWithThirdParty(args: DeregisterWebhookWithThirdPartyInput): Promise<DeregisterWebhookWithThirdPartyOutput>;
    deregisterWebhookWithThirdParty(args: DeregisterWebhookWithThirdPartyInput, cb: (err: any, data?: DeregisterWebhookWithThirdPartyOutput) => void): void;
    /**
     * <p>Prevents artifacts in a pipeline from transitioning to the next stage in the pipeline.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {ValidationException} <p>The validation was specified in an invalid format.</p>
     *   - {PipelineNotFoundException} <p>The specified pipeline was specified in an invalid format or cannot be found.</p>
     *   - {StageNotFoundException} <p>The specified stage was specified in an invalid format or cannot be found.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    disableStageTransition(args: DisableStageTransitionInput): Promise<DisableStageTransitionOutput>;
    disableStageTransition(args: DisableStageTransitionInput, cb: (err: any, data?: DisableStageTransitionOutput) => void): void;
    /**
     * <p>Enables artifacts in a pipeline to transition to a stage in a pipeline.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {ValidationException} <p>The validation was specified in an invalid format.</p>
     *   - {PipelineNotFoundException} <p>The specified pipeline was specified in an invalid format or cannot be found.</p>
     *   - {StageNotFoundException} <p>The specified stage was specified in an invalid format or cannot be found.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    enableStageTransition(args: EnableStageTransitionInput): Promise<EnableStageTransitionOutput>;
    enableStageTransition(args: EnableStageTransitionInput, cb: (err: any, data?: EnableStageTransitionOutput) => void): void;
    /**
     * <p>Returns information about a job. Only used for custom actions.</p> <important> <p>When this API is called, AWS CodePipeline returns temporary credentials for the Amazon S3 bucket used to store artifacts for the pipeline, if the action requires access to that Amazon S3 bucket for input or output artifacts. Additionally, this API returns any secret values defined for the action.</p> </important>
     *
     * This operation may fail with one of the following errors:
     *   - {ValidationException} <p>The validation was specified in an invalid format.</p>
     *   - {JobNotFoundException} <p>The specified job was specified in an invalid format or cannot be found.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getJobDetails(args: GetJobDetailsInput): Promise<GetJobDetailsOutput>;
    getJobDetails(args: GetJobDetailsInput, cb: (err: any, data?: GetJobDetailsOutput) => void): void;
    /**
     * <p>Returns the metadata, structure, stages, and actions of a pipeline. Can be used to return the entire structure of a pipeline in JSON format, which can then be modified and used to update the pipeline structure with <a>UpdatePipeline</a>.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {ValidationException} <p>The validation was specified in an invalid format.</p>
     *   - {PipelineNotFoundException} <p>The specified pipeline was specified in an invalid format or cannot be found.</p>
     *   - {PipelineVersionNotFoundException} <p>The specified pipeline version was specified in an invalid format or cannot be found.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getPipeline(args: GetPipelineInput): Promise<GetPipelineOutput>;
    getPipeline(args: GetPipelineInput, cb: (err: any, data?: GetPipelineOutput) => void): void;
    /**
     * <p>Returns information about an execution of a pipeline, including details about artifacts, the pipeline execution ID, and the name, version, and status of the pipeline.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {ValidationException} <p>The validation was specified in an invalid format.</p>
     *   - {PipelineNotFoundException} <p>The specified pipeline was specified in an invalid format or cannot be found.</p>
     *   - {PipelineExecutionNotFoundException} <p>The pipeline execution was specified in an invalid format or cannot be found, or an execution ID does not belong to the specified pipeline. </p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getPipelineExecution(args: GetPipelineExecutionInput): Promise<GetPipelineExecutionOutput>;
    getPipelineExecution(args: GetPipelineExecutionInput, cb: (err: any, data?: GetPipelineExecutionOutput) => void): void;
    /**
     * <p>Returns information about the state of a pipeline, including the stages and actions.</p> <note> <p>Values returned in the <code>revisionId</code> and <code>revisionUrl</code> fields indicate the source revision information, such as the commit ID, for the current state.</p> </note>
     *
     * This operation may fail with one of the following errors:
     *   - {ValidationException} <p>The validation was specified in an invalid format.</p>
     *   - {PipelineNotFoundException} <p>The specified pipeline was specified in an invalid format or cannot be found.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getPipelineState(args: GetPipelineStateInput): Promise<GetPipelineStateOutput>;
    getPipelineState(args: GetPipelineStateInput, cb: (err: any, data?: GetPipelineStateOutput) => void): void;
    /**
     * <p>Requests the details of a job for a third party action. Only used for partner actions.</p> <important> <p>When this API is called, AWS CodePipeline returns temporary credentials for the Amazon S3 bucket used to store artifacts for the pipeline, if the action requires access to that Amazon S3 bucket for input or output artifacts. Additionally, this API returns any secret values defined for the action.</p> </important>
     *
     * This operation may fail with one of the following errors:
     *   - {JobNotFoundException} <p>The specified job was specified in an invalid format or cannot be found.</p>
     *   - {ValidationException} <p>The validation was specified in an invalid format.</p>
     *   - {InvalidClientTokenException} <p>The client token was specified in an invalid format</p>
     *   - {InvalidJobException} <p>The specified job was specified in an invalid format or cannot be found.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getThirdPartyJobDetails(args: GetThirdPartyJobDetailsInput): Promise<GetThirdPartyJobDetailsOutput>;
    getThirdPartyJobDetails(args: GetThirdPartyJobDetailsInput, cb: (err: any, data?: GetThirdPartyJobDetailsOutput) => void): void;
    /**
     * <p>Lists the action executions that have occurred in a pipeline.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {ValidationException} <p>The validation was specified in an invalid format.</p>
     *   - {PipelineNotFoundException} <p>The specified pipeline was specified in an invalid format or cannot be found.</p>
     *   - {InvalidNextTokenException} <p>The next token was specified in an invalid format. Make sure that the next token you provided is the token returned by a previous call.</p>
     *   - {PipelineExecutionNotFoundException} <p>The pipeline execution was specified in an invalid format or cannot be found, or an execution ID does not belong to the specified pipeline. </p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    listActionExecutions(args: ListActionExecutionsInput): Promise<ListActionExecutionsOutput>;
    listActionExecutions(args: ListActionExecutionsInput, cb: (err: any, data?: ListActionExecutionsOutput) => void): void;
    /**
     * <p>Gets a summary of all AWS CodePipeline action types associated with your account.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {ValidationException} <p>The validation was specified in an invalid format.</p>
     *   - {InvalidNextTokenException} <p>The next token was specified in an invalid format. Make sure that the next token you provided is the token returned by a previous call.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    listActionTypes(args: ListActionTypesInput): Promise<ListActionTypesOutput>;
    listActionTypes(args: ListActionTypesInput, cb: (err: any, data?: ListActionTypesOutput) => void): void;
    /**
     * <p>Gets a summary of the most recent executions for a pipeline.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {ValidationException} <p>The validation was specified in an invalid format.</p>
     *   - {PipelineNotFoundException} <p>The specified pipeline was specified in an invalid format or cannot be found.</p>
     *   - {InvalidNextTokenException} <p>The next token was specified in an invalid format. Make sure that the next token you provided is the token returned by a previous call.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    listPipelineExecutions(args: ListPipelineExecutionsInput): Promise<ListPipelineExecutionsOutput>;
    listPipelineExecutions(args: ListPipelineExecutionsInput, cb: (err: any, data?: ListPipelineExecutionsOutput) => void): void;
    /**
     * <p>Gets a summary of all of the pipelines associated with your account.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {ValidationException} <p>The validation was specified in an invalid format.</p>
     *   - {InvalidNextTokenException} <p>The next token was specified in an invalid format. Make sure that the next token you provided is the token returned by a previous call.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    listPipelines(args: ListPipelinesInput): Promise<ListPipelinesOutput>;
    listPipelines(args: ListPipelinesInput, cb: (err: any, data?: ListPipelinesOutput) => void): void;
    /**
     * <p>Gets the set of key/value pairs (metadata) that are used to manage the resource.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {ValidationException} <p>The validation was specified in an invalid format.</p>
     *   - {ResourceNotFoundException} <p>The specified resource was specified in an invalid format.</p>
     *   - {InvalidNextTokenException} <p>The next token was specified in an invalid format. Make sure that the next token you provided is the token returned by a previous call.</p>
     *   - {InvalidArnException} <p>The specified resource ARN is invalid.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    listTagsForResource(args: ListTagsForResourceInput): Promise<ListTagsForResourceOutput>;
    listTagsForResource(args: ListTagsForResourceInput, cb: (err: any, data?: ListTagsForResourceOutput) => void): void;
    /**
     * <p>Gets a listing of all the webhooks in this region for this account. The output lists all webhooks and includes the webhook URL and ARN, as well the configuration for each webhook.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {ValidationException} <p>The validation was specified in an invalid format.</p>
     *   - {InvalidNextTokenException} <p>The next token was specified in an invalid format. Make sure that the next token you provided is the token returned by a previous call.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    listWebhooks(args: ListWebhooksInput): Promise<ListWebhooksOutput>;
    listWebhooks(args: ListWebhooksInput, cb: (err: any, data?: ListWebhooksOutput) => void): void;
    /**
     * <p>Returns information about any jobs for AWS CodePipeline to act upon. <code>PollForJobs</code> is only valid for action types with "Custom" in the owner field. If the action type contains "AWS" or "ThirdParty" in the owner field, the <code>PollForJobs</code> action returns an error.</p> <important> <p>When this API is called, AWS CodePipeline returns temporary credentials for the Amazon S3 bucket used to store artifacts for the pipeline, if the action requires access to that Amazon S3 bucket for input or output artifacts. Additionally, this API returns any secret values defined for the action.</p> </important>
     *
     * This operation may fail with one of the following errors:
     *   - {ValidationException} <p>The validation was specified in an invalid format.</p>
     *   - {ActionTypeNotFoundException} <p>The specified action type cannot be found.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    pollForJobs(args: PollForJobsInput): Promise<PollForJobsOutput>;
    pollForJobs(args: PollForJobsInput, cb: (err: any, data?: PollForJobsOutput) => void): void;
    /**
     * <p>Determines whether there are any third party jobs for a job worker to act on. Only used for partner actions.</p> <important> <p>When this API is called, AWS CodePipeline returns temporary credentials for the Amazon S3 bucket used to store artifacts for the pipeline, if the action requires access to that Amazon S3 bucket for input or output artifacts.</p> </important>
     *
     * This operation may fail with one of the following errors:
     *   - {ActionTypeNotFoundException} <p>The specified action type cannot be found.</p>
     *   - {ValidationException} <p>The validation was specified in an invalid format.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    pollForThirdPartyJobs(args: PollForThirdPartyJobsInput): Promise<PollForThirdPartyJobsOutput>;
    pollForThirdPartyJobs(args: PollForThirdPartyJobsInput, cb: (err: any, data?: PollForThirdPartyJobsOutput) => void): void;
    /**
     * <p>Provides information to AWS CodePipeline about new revisions to a source.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {PipelineNotFoundException} <p>The specified pipeline was specified in an invalid format or cannot be found.</p>
     *   - {StageNotFoundException} <p>The specified stage was specified in an invalid format or cannot be found.</p>
     *   - {ActionNotFoundException} <p>The specified action cannot be found.</p>
     *   - {ValidationException} <p>The validation was specified in an invalid format.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    putActionRevision(args: PutActionRevisionInput): Promise<PutActionRevisionOutput>;
    putActionRevision(args: PutActionRevisionInput, cb: (err: any, data?: PutActionRevisionOutput) => void): void;
    /**
     * <p>Provides the response to a manual approval request to AWS CodePipeline. Valid responses include Approved and Rejected.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {InvalidApprovalTokenException} <p>The approval request already received a response or has expired.</p>
     *   - {ApprovalAlreadyCompletedException} <p>The approval action has already been approved or rejected.</p>
     *   - {PipelineNotFoundException} <p>The specified pipeline was specified in an invalid format or cannot be found.</p>
     *   - {StageNotFoundException} <p>The specified stage was specified in an invalid format or cannot be found.</p>
     *   - {ActionNotFoundException} <p>The specified action cannot be found.</p>
     *   - {ValidationException} <p>The validation was specified in an invalid format.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    putApprovalResult(args: PutApprovalResultInput): Promise<PutApprovalResultOutput>;
    putApprovalResult(args: PutApprovalResultInput, cb: (err: any, data?: PutApprovalResultOutput) => void): void;
    /**
     * <p>Represents the failure of a job as returned to the pipeline by a job worker. Only used for custom actions.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {ValidationException} <p>The validation was specified in an invalid format.</p>
     *   - {JobNotFoundException} <p>The specified job was specified in an invalid format or cannot be found.</p>
     *   - {InvalidJobStateException} <p>The specified job state was specified in an invalid format.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    putJobFailureResult(args: PutJobFailureResultInput): Promise<PutJobFailureResultOutput>;
    putJobFailureResult(args: PutJobFailureResultInput, cb: (err: any, data?: PutJobFailureResultOutput) => void): void;
    /**
     * <p>Represents the success of a job as returned to the pipeline by a job worker. Only used for custom actions.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {ValidationException} <p>The validation was specified in an invalid format.</p>
     *   - {JobNotFoundException} <p>The specified job was specified in an invalid format or cannot be found.</p>
     *   - {InvalidJobStateException} <p>The specified job state was specified in an invalid format.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    putJobSuccessResult(args: PutJobSuccessResultInput): Promise<PutJobSuccessResultOutput>;
    putJobSuccessResult(args: PutJobSuccessResultInput, cb: (err: any, data?: PutJobSuccessResultOutput) => void): void;
    /**
     * <p>Represents the failure of a third party job as returned to the pipeline by a job worker. Only used for partner actions.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {ValidationException} <p>The validation was specified in an invalid format.</p>
     *   - {JobNotFoundException} <p>The specified job was specified in an invalid format or cannot be found.</p>
     *   - {InvalidJobStateException} <p>The specified job state was specified in an invalid format.</p>
     *   - {InvalidClientTokenException} <p>The client token was specified in an invalid format</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    putThirdPartyJobFailureResult(args: PutThirdPartyJobFailureResultInput): Promise<PutThirdPartyJobFailureResultOutput>;
    putThirdPartyJobFailureResult(args: PutThirdPartyJobFailureResultInput, cb: (err: any, data?: PutThirdPartyJobFailureResultOutput) => void): void;
    /**
     * <p>Represents the success of a third party job as returned to the pipeline by a job worker. Only used for partner actions.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {ValidationException} <p>The validation was specified in an invalid format.</p>
     *   - {JobNotFoundException} <p>The specified job was specified in an invalid format or cannot be found.</p>
     *   - {InvalidJobStateException} <p>The specified job state was specified in an invalid format.</p>
     *   - {InvalidClientTokenException} <p>The client token was specified in an invalid format</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    putThirdPartyJobSuccessResult(args: PutThirdPartyJobSuccessResultInput): Promise<PutThirdPartyJobSuccessResultOutput>;
    putThirdPartyJobSuccessResult(args: PutThirdPartyJobSuccessResultInput, cb: (err: any, data?: PutThirdPartyJobSuccessResultOutput) => void): void;
    /**
     * <p>Defines a webhook and returns a unique webhook URL generated by CodePipeline. This URL can be supplied to third party source hosting providers to call every time there's a code change. When CodePipeline receives a POST request on this URL, the pipeline defined in the webhook is started as long as the POST request satisfied the authentication and filtering requirements supplied when defining the webhook. RegisterWebhookWithThirdParty and DeregisterWebhookWithThirdParty APIs can be used to automatically configure supported third parties to call the generated webhook URL.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {ValidationException} <p>The validation was specified in an invalid format.</p>
     *   - {LimitExceededException} <p>The number of pipelines associated with the AWS account has exceeded the limit allowed for the account.</p>
     *   - {InvalidWebhookFilterPatternException} <p>The specified event filter rule is in an invalid format.</p>
     *   - {InvalidWebhookAuthenticationParametersException} <p>The specified authentication type is in an invalid format.</p>
     *   - {PipelineNotFoundException} <p>The specified pipeline was specified in an invalid format or cannot be found.</p>
     *   - {TooManyTagsException} <p>The tags limit for a resource has been exceeded.</p>
     *   - {InvalidTagsException} <p>The specified resource tags are invalid.</p>
     *   - {ConcurrentModificationException} <p>Unable to modify the tag due to a simultaneous update request.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    putWebhook(args: PutWebhookInput): Promise<PutWebhookOutput>;
    putWebhook(args: PutWebhookInput, cb: (err: any, data?: PutWebhookOutput) => void): void;
    /**
     * <p>Configures a connection between the webhook that was created and the external tool with events to be detected.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {ValidationException} <p>The validation was specified in an invalid format.</p>
     *   - {WebhookNotFoundException} <p>The specified webhook was entered in an invalid format or cannot be found.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    registerWebhookWithThirdParty(args: RegisterWebhookWithThirdPartyInput): Promise<RegisterWebhookWithThirdPartyOutput>;
    registerWebhookWithThirdParty(args: RegisterWebhookWithThirdPartyInput, cb: (err: any, data?: RegisterWebhookWithThirdPartyOutput) => void): void;
    /**
     * <p>Resumes the pipeline execution by retrying the last failed actions in a stage.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {ValidationException} <p>The validation was specified in an invalid format.</p>
     *   - {PipelineNotFoundException} <p>The specified pipeline was specified in an invalid format or cannot be found.</p>
     *   - {StageNotFoundException} <p>The specified stage was specified in an invalid format or cannot be found.</p>
     *   - {StageNotRetryableException} <p>The specified stage can't be retried because the pipeline structure or stage state changed after the stage was not completed; the stage contains no failed actions; one or more actions are still in progress; or another retry attempt is already in progress. </p>
     *   - {NotLatestPipelineExecutionException} <p>The stage has failed in a later run of the pipeline and the pipelineExecutionId associated with the request is out of date.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    retryStageExecution(args: RetryStageExecutionInput): Promise<RetryStageExecutionOutput>;
    retryStageExecution(args: RetryStageExecutionInput, cb: (err: any, data?: RetryStageExecutionOutput) => void): void;
    /**
     * <p>Starts the specified pipeline. Specifically, it begins processing the latest commit to the source location specified as part of the pipeline.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {ValidationException} <p>The validation was specified in an invalid format.</p>
     *   - {PipelineNotFoundException} <p>The specified pipeline was specified in an invalid format or cannot be found.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    startPipelineExecution(args: StartPipelineExecutionInput): Promise<StartPipelineExecutionOutput>;
    startPipelineExecution(args: StartPipelineExecutionInput, cb: (err: any, data?: StartPipelineExecutionOutput) => void): void;
    /**
     * <p>Adds to or modifies the tags of the given resource. Tags are metadata that can be used to manage a resource. </p>
     *
     * This operation may fail with one of the following errors:
     *   - {ValidationException} <p>The validation was specified in an invalid format.</p>
     *   - {ResourceNotFoundException} <p>The specified resource was specified in an invalid format.</p>
     *   - {InvalidArnException} <p>The specified resource ARN is invalid.</p>
     *   - {TooManyTagsException} <p>The tags limit for a resource has been exceeded.</p>
     *   - {InvalidTagsException} <p>The specified resource tags are invalid.</p>
     *   - {ConcurrentModificationException} <p>Unable to modify the tag due to a simultaneous update request.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    tagResource(args: TagResourceInput): Promise<TagResourceOutput>;
    tagResource(args: TagResourceInput, cb: (err: any, data?: TagResourceOutput) => void): void;
    /**
     * <p>Removes tags from an AWS resource.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {ValidationException} <p>The validation was specified in an invalid format.</p>
     *   - {ResourceNotFoundException} <p>The specified resource was specified in an invalid format.</p>
     *   - {InvalidArnException} <p>The specified resource ARN is invalid.</p>
     *   - {InvalidTagsException} <p>The specified resource tags are invalid.</p>
     *   - {ConcurrentModificationException} <p>Unable to modify the tag due to a simultaneous update request.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    untagResource(args: UntagResourceInput): Promise<UntagResourceOutput>;
    untagResource(args: UntagResourceInput, cb: (err: any, data?: UntagResourceOutput) => void): void;
    /**
     * <p>Updates a specified pipeline with edits or changes to its structure. Use a JSON file with the pipeline structure in conjunction with <code>UpdatePipeline</code> to provide the full structure of the pipeline. Updating the pipeline increases the version number of the pipeline by 1.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {ValidationException} <p>The validation was specified in an invalid format.</p>
     *   - {InvalidStageDeclarationException} <p>The specified stage declaration was specified in an invalid format.</p>
     *   - {InvalidActionDeclarationException} <p>The specified action declaration was specified in an invalid format.</p>
     *   - {InvalidBlockerDeclarationException} <p>Reserved for future use.</p>
     *   - {InvalidStructureException} <p>The specified structure was specified in an invalid format.</p>
     *   - {LimitExceededException} <p>The number of pipelines associated with the AWS account has exceeded the limit allowed for the account.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    updatePipeline(args: UpdatePipelineInput): Promise<UpdatePipelineOutput>;
    updatePipeline(args: UpdatePipelineInput, cb: (err: any, data?: UpdatePipelineOutput) => void): void;
}
