"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var CodePipelineClient_1 = require("./CodePipelineClient");
var AcknowledgeJobCommand_1 = require("./commands/AcknowledgeJobCommand");
var AcknowledgeThirdPartyJobCommand_1 = require("./commands/AcknowledgeThirdPartyJobCommand");
var CreateCustomActionTypeCommand_1 = require("./commands/CreateCustomActionTypeCommand");
var CreatePipelineCommand_1 = require("./commands/CreatePipelineCommand");
var DeleteCustomActionTypeCommand_1 = require("./commands/DeleteCustomActionTypeCommand");
var DeletePipelineCommand_1 = require("./commands/DeletePipelineCommand");
var DeleteWebhookCommand_1 = require("./commands/DeleteWebhookCommand");
var DeregisterWebhookWithThirdPartyCommand_1 = require("./commands/DeregisterWebhookWithThirdPartyCommand");
var DisableStageTransitionCommand_1 = require("./commands/DisableStageTransitionCommand");
var EnableStageTransitionCommand_1 = require("./commands/EnableStageTransitionCommand");
var GetJobDetailsCommand_1 = require("./commands/GetJobDetailsCommand");
var GetPipelineCommand_1 = require("./commands/GetPipelineCommand");
var GetPipelineExecutionCommand_1 = require("./commands/GetPipelineExecutionCommand");
var GetPipelineStateCommand_1 = require("./commands/GetPipelineStateCommand");
var GetThirdPartyJobDetailsCommand_1 = require("./commands/GetThirdPartyJobDetailsCommand");
var ListActionExecutionsCommand_1 = require("./commands/ListActionExecutionsCommand");
var ListActionTypesCommand_1 = require("./commands/ListActionTypesCommand");
var ListPipelineExecutionsCommand_1 = require("./commands/ListPipelineExecutionsCommand");
var ListPipelinesCommand_1 = require("./commands/ListPipelinesCommand");
var ListTagsForResourceCommand_1 = require("./commands/ListTagsForResourceCommand");
var ListWebhooksCommand_1 = require("./commands/ListWebhooksCommand");
var PollForJobsCommand_1 = require("./commands/PollForJobsCommand");
var PollForThirdPartyJobsCommand_1 = require("./commands/PollForThirdPartyJobsCommand");
var PutActionRevisionCommand_1 = require("./commands/PutActionRevisionCommand");
var PutApprovalResultCommand_1 = require("./commands/PutApprovalResultCommand");
var PutJobFailureResultCommand_1 = require("./commands/PutJobFailureResultCommand");
var PutJobSuccessResultCommand_1 = require("./commands/PutJobSuccessResultCommand");
var PutThirdPartyJobFailureResultCommand_1 = require("./commands/PutThirdPartyJobFailureResultCommand");
var PutThirdPartyJobSuccessResultCommand_1 = require("./commands/PutThirdPartyJobSuccessResultCommand");
var PutWebhookCommand_1 = require("./commands/PutWebhookCommand");
var RegisterWebhookWithThirdPartyCommand_1 = require("./commands/RegisterWebhookWithThirdPartyCommand");
var RetryStageExecutionCommand_1 = require("./commands/RetryStageExecutionCommand");
var StartPipelineExecutionCommand_1 = require("./commands/StartPipelineExecutionCommand");
var TagResourceCommand_1 = require("./commands/TagResourceCommand");
var UntagResourceCommand_1 = require("./commands/UntagResourceCommand");
var UpdatePipelineCommand_1 = require("./commands/UpdatePipelineCommand");
var CodePipeline = /** @class */ (function (_super) {
    tslib_1.__extends(CodePipeline, _super);
    function CodePipeline() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    CodePipeline.prototype.acknowledgeJob = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new AcknowledgeJobCommand_1.AcknowledgeJobCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodePipeline.prototype.acknowledgeThirdPartyJob = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new AcknowledgeThirdPartyJobCommand_1.AcknowledgeThirdPartyJobCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodePipeline.prototype.createCustomActionType = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateCustomActionTypeCommand_1.CreateCustomActionTypeCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodePipeline.prototype.createPipeline = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreatePipelineCommand_1.CreatePipelineCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodePipeline.prototype.deleteCustomActionType = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteCustomActionTypeCommand_1.DeleteCustomActionTypeCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodePipeline.prototype.deletePipeline = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeletePipelineCommand_1.DeletePipelineCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodePipeline.prototype.deleteWebhook = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteWebhookCommand_1.DeleteWebhookCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodePipeline.prototype.deregisterWebhookWithThirdParty = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeregisterWebhookWithThirdPartyCommand_1.DeregisterWebhookWithThirdPartyCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodePipeline.prototype.disableStageTransition = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DisableStageTransitionCommand_1.DisableStageTransitionCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodePipeline.prototype.enableStageTransition = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new EnableStageTransitionCommand_1.EnableStageTransitionCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodePipeline.prototype.getJobDetails = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetJobDetailsCommand_1.GetJobDetailsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodePipeline.prototype.getPipeline = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetPipelineCommand_1.GetPipelineCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodePipeline.prototype.getPipelineExecution = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetPipelineExecutionCommand_1.GetPipelineExecutionCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodePipeline.prototype.getPipelineState = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetPipelineStateCommand_1.GetPipelineStateCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodePipeline.prototype.getThirdPartyJobDetails = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetThirdPartyJobDetailsCommand_1.GetThirdPartyJobDetailsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodePipeline.prototype.listActionExecutions = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListActionExecutionsCommand_1.ListActionExecutionsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodePipeline.prototype.listActionTypes = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListActionTypesCommand_1.ListActionTypesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodePipeline.prototype.listPipelineExecutions = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListPipelineExecutionsCommand_1.ListPipelineExecutionsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodePipeline.prototype.listPipelines = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListPipelinesCommand_1.ListPipelinesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodePipeline.prototype.listTagsForResource = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListTagsForResourceCommand_1.ListTagsForResourceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodePipeline.prototype.listWebhooks = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListWebhooksCommand_1.ListWebhooksCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodePipeline.prototype.pollForJobs = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new PollForJobsCommand_1.PollForJobsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodePipeline.prototype.pollForThirdPartyJobs = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new PollForThirdPartyJobsCommand_1.PollForThirdPartyJobsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodePipeline.prototype.putActionRevision = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new PutActionRevisionCommand_1.PutActionRevisionCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodePipeline.prototype.putApprovalResult = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new PutApprovalResultCommand_1.PutApprovalResultCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodePipeline.prototype.putJobFailureResult = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new PutJobFailureResultCommand_1.PutJobFailureResultCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodePipeline.prototype.putJobSuccessResult = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new PutJobSuccessResultCommand_1.PutJobSuccessResultCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodePipeline.prototype.putThirdPartyJobFailureResult = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new PutThirdPartyJobFailureResultCommand_1.PutThirdPartyJobFailureResultCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodePipeline.prototype.putThirdPartyJobSuccessResult = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new PutThirdPartyJobSuccessResultCommand_1.PutThirdPartyJobSuccessResultCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodePipeline.prototype.putWebhook = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new PutWebhookCommand_1.PutWebhookCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodePipeline.prototype.registerWebhookWithThirdParty = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new RegisterWebhookWithThirdPartyCommand_1.RegisterWebhookWithThirdPartyCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodePipeline.prototype.retryStageExecution = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new RetryStageExecutionCommand_1.RetryStageExecutionCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodePipeline.prototype.startPipelineExecution = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new StartPipelineExecutionCommand_1.StartPipelineExecutionCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodePipeline.prototype.tagResource = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new TagResourceCommand_1.TagResourceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodePipeline.prototype.untagResource = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UntagResourceCommand_1.UntagResourceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    CodePipeline.prototype.updatePipeline = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UpdatePipelineCommand_1.UpdatePipelineCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    return CodePipeline;
}(CodePipelineClient_1.CodePipelineClient));
exports.CodePipeline = CodePipeline;
//# sourceMappingURL=CodePipeline.js.map