"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListWebhooks_1 = require("../model/operations/ListWebhooks");
var ListWebhooksCommand = /** @class */ (function () {
    function ListWebhooksCommand(input) {
        this.input = input;
        this.model = ListWebhooks_1.ListWebhooks;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListWebhooksCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListWebhooksCommand;
}());
exports.ListWebhooksCommand = ListWebhooksCommand;
//# sourceMappingURL=ListWebhooksCommand.js.map