"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var PutApprovalResultInput_1 = require("../shapes/PutApprovalResultInput");
var PutApprovalResultOutput_1 = require("../shapes/PutApprovalResultOutput");
var InvalidApprovalTokenException_1 = require("../shapes/InvalidApprovalTokenException");
var ApprovalAlreadyCompletedException_1 = require("../shapes/ApprovalAlreadyCompletedException");
var PipelineNotFoundException_1 = require("../shapes/PipelineNotFoundException");
var StageNotFoundException_1 = require("../shapes/StageNotFoundException");
var ActionNotFoundException_1 = require("../shapes/ActionNotFoundException");
var ValidationException_1 = require("../shapes/ValidationException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.PutApprovalResult = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "PutApprovalResult",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: PutApprovalResultInput_1.PutApprovalResultInput
    },
    output: {
        shape: PutApprovalResultOutput_1.PutApprovalResultOutput
    },
    errors: [
        {
            shape: InvalidApprovalTokenException_1.InvalidApprovalTokenException
        },
        {
            shape: ApprovalAlreadyCompletedException_1.ApprovalAlreadyCompletedException
        },
        {
            shape: PipelineNotFoundException_1.PipelineNotFoundException
        },
        {
            shape: StageNotFoundException_1.StageNotFoundException
        },
        {
            shape: ActionNotFoundException_1.ActionNotFoundException
        },
        {
            shape: ValidationException_1.ValidationException
        }
    ]
};
//# sourceMappingURL=PutApprovalResult.js.map